accounts/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views
from django.utils.translation import gettext_lazy as _

from . import views


urlpatterns = [
    path(_('login/'), views.CustomLoginView.as_view(),
         name='custom-login'),
    # after logout, we need to go back to the login page
    path(_('logout/'), auth_views.logout_then_login,
         name='logout'),
    path(_('<int:pk>/update-account/'),
         views.UserUpdate.as_view(),
         name='user-update'),
    path(_('<int:pk>/password_change/'),
         views.CustomPasswordChangeView.as_view(),
         name='password_change',),
    path(_('password_change_done/'),
         views.CustomPasswordChangeDoneView.as_view(),
         name='password_change_done'),
    path(_('sign-up/'), views.signup, name='signup'),
]

clients/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _

from . import views

urlpatterns = [
    path('<int:pk>/', views.ClientUpdate.as_view(),
         name='client-update'),
    path(_('<int:pk>/delete/'), views.ClientDelete.as_view(),
         name='client-delete'),
    path('', views.clients_view, name='clients'),
]

homepage/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _
from . import views


urlpatterns = [
    path(_('search-results/'), views.search_results, name="search-results"),
    path('', views.homepage_view, name='homepage'),
]

programari/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.i18n import i18n_patterns
from django.utils.translation import gettext_lazy as _

urlpatterns = []

urlpatterns += i18n_patterns(
    path('admin/', admin.site.urls),
    path('', include(('homepage.urls', 'homepage'),
                     namespace='homepage')),
    path(_('providers/'), include(('providers.urls', 'providers'),
                                  namespace='providers')),
    path(_('services/'), include(('services.urls', 'services'),
                                 namespace='services')),
    path(_('clients/'), include(('clients.urls', 'clients'),
                                namespace='clients')),
    path(_('accounts/'), include(('accounts.urls', 'accounts'),
                                 namespace='accounts'))
)

providers/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _

from . import views

urlpatterns = [
    path('<int:pk>/', views.provider_update,
         name='provider-update'),
    path(_('<int:pk>/delete/'), views.ProviderDelete.as_view(),
         name='provider-delete'),
    path(_('<int:pk>/break/delete'), views.BreakDelete.as_view(),
         name='break-delete'),
    path('', views.providers_view, name='providers'),
]

services/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _

from . import views

urlpatterns = [
    path('<int:pk>/', views.ServiceUpdate.as_view(),
         name='service-update'),
    path(_('<int:pk>/delete/'), views.ServiceDelete.as_view(),
         name='service-delete'),
    path('', views.services_view, name='services'),
]

homepage/views.py
"""The view logic for the first page."""
from django.shortcuts import render
from django.http import JsonResponse, HttpResponseRedirect, HttpResponse
from django.db.models import Q
from django.contrib.auth.decorators import login_required
from django.utils.translation import (gettext_lazy as _,
                                      get_language)
import datetime

from .models import Service, Provider, Client
from .forms import ClientForm


# Helper functions
def strToMinutes(element):
    time = element.split(':')
    hours = int(time[0])
    minutes = int(time[1])
    return (hours * 60) + minutes


def parse_ymd_datetime(s):
    year_s, mon_s, day_s = s.split('-')
    return datetime.datetime(int(year_s), int(mon_s), int(day_s))


def parse_ymd_date(s):
    year_s, mon_s, day_s = s.split('-')
    return datetime.date(int(year_s), int(mon_s), int(day_s))


def parse_hm(s):
    hour_s, min_s = s.split(':')
    return datetime.time(int(hour_s), int(min_s))


def check_for_breaks(e, es, bb, be):
    """
    Check to see if we arrive on a break.

    e=event, es=event+service, bb=break_begin, be=break_end
    """
    if(((e < bb) and (es > bb)) or ((e < be) and (es > be)) or
       ((e >= bb) and (es <= be))):
        return True
    return False


def check_for_clients(e, es, cb, ce):
    """
    Check to see if we arrive on a client's time.

    e=event, es=event+service, cb=client_begin, ce=client_end
    """
    if(((e < cb) and (es > cb)) or ((e < ce) and (es > ce)) or
       ((e >= cb) and (es <= ce))):
        return True
    return False


@login_required
def homepage_view(request):
    """Appointment form and FullCalendar."""

    user = request.user

    # respond to ajax request for the ClientForm
    if request.is_ajax():
        # if this is a request for data on service change
        if (request.POST.get('request') == "service"):

            service_pk = request.POST.get('service_pk')
            if (service_pk != ''):

                service = user.service_set.get(pk=service_pk)
                service_providers = ''
                service_providers_pk = ''

                for provider in service.provider_set.all():
                    service_providers += str(provider) + ","
                    service_providers_pk += str(provider.pk) + ","

                data = {
                    'providers': service_providers,
                    'providers_pk': service_providers_pk
                }

            else:
                data = {
                    'providers': "",
                    'providers_pk': ""
                }

            return JsonResponse(data)

        # if this is a request for data on provider change
        if (request.POST.get('request') == "provider"):

            provider_pk = request.POST.get('provider_pk')
            service_pk = request.POST.get('service_pk')

            if (provider_pk != '' and service_pk != ''):

                provider = Provider.objects.get(pk=provider_pk)
                service = Service.objects.get(pk=service_pk)

                service_duration = strToMinutes(str(service.duration))

                business_hours_start = ''
                business_hours_end = ''

                business_hours_start += str(
                    provider.working_plan.monday_start.strftime("%H:%M")) + ','
                business_hours_end += str(
                    provider.working_plan.monday_end.strftime("%H:%M")) + ','
                business_hours_start += str(
                    provider.working_plan.tuesday_start.strftime("%H:%M")) + ','
                business_hours_end += str(
                    provider.working_plan.tuesday_end.strftime("%H:%M")) + ','
                business_hours_start += str(
                    provider.working_plan.wednesday_start.strftime("%H:%M")) + ','
                business_hours_end += str(
                    provider.working_plan.wednesday_end.strftime("%H:%M")) + ','
                business_hours_start += str(
                    provider.working_plan.thursday_start.strftime("%H:%M")) + ','
                business_hours_end += str(
                    provider.working_plan.thursday_end.strftime("%H:%M")) + ','
                business_hours_start += str(
                    provider.working_plan.friday_start.strftime("%H:%M")) + ','
                business_hours_end += str(
                    provider.working_plan.friday_end.strftime("%H:%M")) + ','
                business_hours_start += str(
                    provider.working_plan.saturday_start.strftime("%H:%M")) + ','
                business_hours_end += str(
                    provider.working_plan.saturday_end.strftime("%H:%M")) + ','
                business_hours_start += str(
                    provider.working_plan.sunday_start.strftime("%H:%M"))
                business_hours_end += str(
                    provider.working_plan.sunday_end.strftime("%H:%M"))

                break_day = ''
                break_begin = ''
                break_end = ''

                for br in provider.break_set.all():
                    break_day += str(br.day) + ','
                    break_begin += str(br.time_begin.strftime("%H:%M")) + ','
                    break_end += str(br.time_end.strftime("%H:%M")) + ','

                data = {
                    'service_duration': service_duration,
                    'business_hours_start': business_hours_start,
                    'business_hours_end': business_hours_end,
                    'break_day': break_day,
                    'break_begin': break_begin,
                    'break_end': break_end,
                }

                return JsonResponse(data)

        # if this is a request for data on calendar date_time change
        if (request.POST.get('request') == "times"):

            provider_pk = request.POST.get('provider_pk')
            service_pk = request.POST.get('service_pk')
            date_selected = request.POST.get('date_selected')

            if (provider_pk != '' and service_pk != '' and
                    date_selected != ''):

                provider = Provider.objects.get(pk=provider_pk)
                service = Service.objects.get(pk=service_pk)

                service_duration = strToMinutes(str(service.duration))

                dt = parse_ymd_date(date_selected)
                day = dt.strftime("%A")
                if (day == 'Monday' or day == 'Luni'):
                    day = 'monday'
                elif (day == 'Tuesday' or day == 'Marți'):
                    day = 'tuesday'
                elif (day == 'Wednesday' or day == 'Miercuri'):
                    day = 'wednesday'
                elif (day == 'Thursday' or day == 'Joi'):
                    day = 'thursday'
                elif (day == 'Friday' or day == 'Vineri'):
                    day = 'friday'
                elif (day == 'Saturday' or day == 'Sâmbătă'):
                    day = 'saturday'
                elif (day == 'Sunday' or day == 'Duminică'):
                    day = 'sunday'

                client_times_begin = []
                client_times_end = []
                br_begin = []
                br_end = []
                times = []
                begin = 0
                end = 0
                e = 0
                i = 0
                j = 0

                for client in provider.client_set.all():
                    if (client.date_time.strftime('%Y-%m-%d') ==
                            date_selected):
                        client_times_begin.append(
                            strToMinutes(str(
                                client.date_time.time().strftime("%H:%M"))))
                client_times_begin.sort()

                for tm in client_times_begin:
                    client_times_end.append(tm + service_duration)

                for br in provider.break_set.filter(day=day):
                    br_begin.append(strToMinutes(str(br.time_begin)))
                    br_end.append(strToMinutes(str(br.time_end)))
                br_begin.sort()
                br_end.sort()

                if (day == 'monday'):
                    begin = strToMinutes(
                        str(provider.working_plan.monday_start))
                    end = strToMinutes(str(provider.working_plan.monday_end))
                elif (day == 'tuesday'):
                    begin = strToMinutes(
                        str(provider.working_plan.tuesday_start))
                    end = strToMinutes(str(provider.working_plan.tuesday_end))
                elif (day == 'wednesday'):
                    begin = strToMinutes(
                        str(provider.working_plan.wednesday_start))
                    end = strToMinutes(
                        str(provider.working_plan.wednesday_end))
                elif (day == 'thursday'):
                    begin = strToMinutes(
                        str(provider.working_plan.thursday_start))
                    end = strToMinutes(str(provider.working_plan.thursday_end))
                elif (day == 'friday'):
                    begin = strToMinutes(
                        str(provider.working_plan.friday_start))
                    end = strToMinutes(str(provider.working_plan.friday_end))
                elif (day == 'saturday'):
                    begin = strToMinutes(
                        str(provider.working_plan.saturday_start))
                    end = strToMinutes(str(provider.working_plan.saturday_end))
                elif (day == 'sunday'):
                    begin = strToMinutes(
                        str(provider.working_plan.sunday_start))
                    end = strToMinutes(str(provider.working_plan.sunday_end))

                def format_as_hour(e):
                    hours = "{:02d}".format(int(e / 60))
                    minutes = "{:02d}".format(e % 60)
                    return hours + ":" + minutes

                e = begin

                while(e < end):

homepage/templates/homepage/base.html
<!doctype html>
<html lang="en">

<head>
  <!-- Translations -->
  {% load i18n %}
  <title>{% trans "Appointments" %}</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Loads the path to your static files -->
  {% load static %}

  <!-- styles -->
  <!-- Bootstrap 4.0.0-beta2 CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
    crossorigin="anonymous">
  <!-- Bootstrap datetimepicker CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker.css"
    integrity="sha256-b5ZKCi55IX+24Jqn638cP/q3Nb2nlx+MH/vMMqrId6k=" crossorigin="anonymous" />
  <!-- Fullcalendar -->
  <link rel='stylesheet' type='text/css' href="{% static 'fullcalendar/fullcalendar.css' %}">
  <!-- Pickadate theme default -->
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.date.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.time.css' %}">
  <!-- Static CSS -->
  <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}">

  <!-- scripts (in the head of html, at the suggestion from fullcalendar.io)-->
  <!-- jQuery -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js" integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE="
    crossorigin="anonymous"></script>
  <!-- Moment.js with locales -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.19.3/moment-with-locales.js" integrity="sha256-KDB8QtKomWcCR2Ln2Ald1qDs2pvBiVqbZ+PxGzJLHj8="
    crossorigin="anonymous"></script>
  <!-- Popper.js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
  <!-- Bootstrap 4.0.0 Js-->
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
  <!-- Bootstrap datetimepicker JS -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"
    integrity="sha256-5YmaxAwMjIpMrVlK84Y/+NjCpKnFYa8bWWBbUHSBGfU=" crossorigin="anonymous"></script>
  <!-- Fullcalendar -->
  <script src="{% static 'fullcalendar/lib/moment.min.js' %}"></script>
  <script src="{% static 'fullcalendar/fullcalendar.js' %}"></script>
  <!-- FontAwesome -->
  <script defer src="https://use.fontawesome.com/releases/v5.0.1/js/all.js"></script>
  <!-- jQuery Validation Plugin -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>

  <script>
    // Here get the variables needed for javascript from django
    let clientsPks = "{{ clients_pks }}";
    let clientsNames = "{{ clients_names }}";
    let clientsDates = "{{ clients_dates }}";
    let business_hours_start = "{{ business_hours_start }}";
    let business_hours_end = "{{ business_hours_end }}";
    let break_day = "{{ break_day }}"
    let break_begin = "{{ break_begin }}";
    let break_end = "{{ break_end }}";
    let breaksDayForDropdown = "{{ day_of_break }}";
    let clientServices = "{{ clientServices }}";
    let clientServicesDuration = "{{ clientServicesDuration }}";
    let lang = "{{ lang }}";      
  </script>

  <!-- Pickadate js -->
  <script src="{% static 'pickadate.js/lib/picker.js' %}"></script>
  <script src="{% static 'pickadate.js/lib/picker.date.js' %}"></script>
  <script src="{% static 'pickadate.js/lib/picker.time.js' %}"></script>

  <!-- Static JS -->
  <script src="{% static 'homepage/base.js' %}"></script>

</head>

<body>
  <nav class="navbar navbar-expand-md navbar-dark bg-dark">

    <div class="navbar-brand" id="logo">Logo</div>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'homepage:homepage' %}">{% trans "Calendar" %}
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'services:services' %}">{% trans "Services" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'providers:providers' %}">{% trans "Providers" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'clients:clients' %}">{% trans "Clients" %}</a>
        </li>
        {% trans 'Search' as search %}
        <li class="nav-item">
          <form class="form-inline my-lg-0" role="search" method="get" action="{% url 'homepage:search-results' %}">
            <input class="form-control mr-sm-2" type="search" placeholder="{{ search }}" aria-label="{{ search }}" name="q">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">{{ search }}</button>
          </form>
        </li>
      </ul>
      {% if user.is_authenticated %}
      <div class="dropdown">
        <button class="btn btn-outline-success dropdown-toggle" type="button" id="dropdown-user-button" data-toggle="dropdown" aria-haspopup="true"
          aria-expanded="false">
          {{ user }}
        </button>
        <div class="dropdown-menu" id="dropdown-user" aria-labelledby="dropdown-user-button">
          <a class="dropdown-item" href="{% url 'accounts:user-update' user.pk %}">{% trans "Account settings" %}</a>
          <div class="dropdown-divider"></div>
          <a class="nav-link" href="{% url 'accounts:logout' %}" id="logout">
            <i class="fas fa-power-off fa-fw"></i> {% trans "Logout" %}
          </a>
        </div>
      </div>
      {% endif %}
    </div>

  </nav>

  <div class="container-fixed">
    {% block content %} {% endblock %}
  </div>



</body>

</html>

homepage/templates/homepage/break_confirm_delete.html
{% extends 'homepage/base.html' %} {% block content %}
  <!-- Translations -->
  {% load i18n %}

<form class="form-horizontal mx-2 my-2" action="" method="post">{% csrf_token %}
  <p>{% trans "Confirm deletion of break" %}: "{{ object }}"?</p>
  {% trans "Accept" as accept %}
  <button class="btn btn-danger" type="submit" value="{{accept}}">{{ accept }}</button>
</form>
{% endblock %}

homepage/templates/homepage/calendar.html
{% extends 'homepage/base.html' %} {% block content %}
<!-- Translations -->
{% load i18n %}

<div class="row">
  <div col-sm-12>
    <!-- Button trigger modal -->
    <button id="addProvider" type="button" class="btn btn-success mt-4 mb-4 mx-4" data-toggle="modal" data-target="#form-modal">{% trans "Add appointment" %}</button>
  </div>
</div>
<!-- Modal -->
<div class="modal fade" id="form-modal" tabindex="-1" role="dialog" aria-labelledby="formModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="formModalLabel">{% trans "Appointment" %}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="form" id="add-appointment-form" method="POST" action="" role="form">
          {% csrf_token %} {{ form.non_field_errors }}

          <div id="client-form-1">
            <!-- Last and first name -->
            <div class="form-row" id="error-client-name">
              <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.first_name.errors }}</span>
              </div>
              <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.last_name.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group col-md-6">
                <label for="{{ form.first_name.id_for_label }}">{% trans "First name" %}</label>
                {{ form.first_name }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <div class="form-row">
              <div class="form-group col-md-6">
                <label for="{{ form.last_name.id_for_label }}">{% trans "Last name" %}</label>
                {{ form.last_name }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <!-- Service -->
            <div class="form-row" id="error-client-service">
              <div class="form-group col-md-12">
                <span class="text-danger small">{{ form.service.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group">
                <label for="{{ form.service.id_for_label }}">{% trans "Service" %}</label>
                {{ form.service }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <!-- Provider -->
            <div class="form-row" id="error-client-provider">
              <div class="form-group col-md-12">
                <span class="text-danger small">{{ form.provider.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group">
                <label for="{{ form.provider.id_for_label }}">{% trans "Provider" %}</label>
                {{ form.provider }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>
          </div>

          <div id="client-form-2">

            <!-- Date time -->
            <div class="form-row" id="error-client-date_time">
              <div class="form-group col-md-12">
                <span class="text-danger small">{{ form.date_time.errors }}</span>
              </div>
            </div>

            <div class="form-row">
              <div class="form-group col-sm-12">
                <label for="{{ form.date_time.id_for_label }}">{% trans "Date and time" %}</label>
                {{ form.date_time }} {% if field.help_text %}
                <p class="help">{{ field.help_text|safe }}</p>
                {% endif %}
              </div>
            </div>

            <div class="form-group">
              <div class="row mt-4">
                <div class="col-sm-12">
                  <div id="datetimepicker"></div>
                </div>
              </div>

              <div class="row" id="button-placeholder"></div>
            </div>

          </div>

          <div class="modal-footer">
            <div id="footer-1">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">{% trans "Close" %}</button>
              <button type="button" id="to-datetime" class="btn btn-primary">OK</button>
            </div>
            <div id="footer-2">
              <button type="button" class="btn btn-secondary" id="to-form">{% trans "Back" %}</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">{% trans "Close" %}</button>
              <button type="submit" class="btn btn-primary">OK</button>
            </div>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>

<div class="d-flex flex-row-reverse">
  <div class="pr-3 mb-2">
    <strong>{% trans "Show appointments for:" %}</strong>
  </div>
</div>

<div class="d-flex flex-row-reverse mb-5">

  <div class="dropdown pr-3">
    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdown-select-provider-button" data-toggle="dropdown"
      aria-haspopup="true" aria-expanded="false">
      {% if session_provider %} {{ session_provider }} {% else %} {% trans "Select provider" %} {% endif %}
    </button>
    <div class="dropdown-menu" aria-labelledby="dropdown-select-provider-button" id="dropdown-select-provider">
      {% if providers %} {% for provider in providers %}
      <option class="dropdown-item dropdown-provider" value="{{ provider.pk }}">
        {{ provider }}
      </option>
      {% endfor %} {% endif %}
    </div>
  </div>
</div>

<!-- FullCalendar -->
<div id='calendar'></div>

{% endblock %}

homepage/templates/homepage/client_confirm_delete.html
{% extends 'homepage/base.html' %} {% block content %}
<!-- Translations -->
{% load i18n %}

<form class="form-horizontal mx-2 my-2" action="" method="post">{% csrf_token %}
  <p>{% trans "Confirm deletion of client" %}: "{{ object }}"?</p>
  <button class="btn btn-danger" type="submit">{% trans "Accept" %}</button>
</form>
{% endblock %}

homepage/templates/homepage/form-template.html
{% for field in form %}
<div class="form-group">
    <div class="">
        <span class="text-danger small">{{ field.errors }}</span>
    </div>
    <label class="">{{ field.label_tag }}</label>
    <div class="">{{ field }}</div>
    {% if field.help_text %}
    <p class="help">{{ field.help_text|safe }}</p>
    {% endif %}
</div>
{% endfor %}

homepage/templates/homepage/multiple_input.html
{% with id=widget.attrs.id %}<div{% if id %} id="{{ id }}"{% endif %}{% if widget.attrs.class %} class="{{ widget.attrs.class }}"{% endif %}>{% for group, options, index in widget.optgroups %}{% if group %}
  <div>{{ group }}<div{% if id %} id="{{ id }}_{{ index }}"{% endif %}>{% endif %}{% for option in options %}
    <div>{% include option.template_name with widget=option %}</div>{% endfor %}{% if group %}
  </div></div>{% endif %}{% endfor %}
</div>{% endwith %}

homepage/templates/homepage/provider_confirm_delete.html
{% extends 'homepage/base.html' %} {% block content %}
<!-- Translations -->
{% load i18n %}

<form class="form-horizontal mx-2 my-2" action="" method="post">{% csrf_token %}
  <p>{% trans "Confirm deletion of provider" %}: "{{ object }}"?</p>
  <button class="btn btn-danger" type="submit">{% trans "Accept" %}</button>
</form>
{% endblock %}

homepage/templates/homepage/search-results.html
{% extends 'homepage/base.html' %}

{% block content %}
<!-- Translations -->
{% load i18n %}

<h4>{% trans "You searched for: " %}<strong>{{ query }}</strong></h4>

{% if clients or services or providers %}

    {% if clients %}

        <h4>{% trans "Found" %} {{ clients|length }} clien{{ clients|pluralize:"t,ts" }}:</h4>

        <div class=" list-group">
            {% for client in clients %}
                <a href="{% url 'clients:client-update' client.id %}" class="list-group-item">{{ client }}</a>
            {% endfor %}
        </div>

    {% endif %}

    {% if services %}

        <h4>{% trans "Found" %} {{ services|length }} servic{{ services|pluralize:"e,es" }}:</h4>

        <div class=" list-group">
          {% for service in services %}
              <a href="{% url 'services:service-update' service.id %}" class="list-group-item">{{ service }}</a>
          {% endfor %}
        </div>

    {% endif %}
    
    {% if providers %}

      <h4>{% trans "Found" %} {{ providers|length }} provider{{ providers|pluralize:"s" }}:</h4>
        
      <div class=" list-group">
        {% for provider in providers %}
            <a href="{% url 'providers:provider-update' provider.id %}" class="list-group-item">{{ provider }}</a>
        {% endfor %}
      </div>

    {% endif %}

{% else %}

    <h4>{% trans "No result found for the item searched" %}.</h4>

{% endif %}


{% endblock %}

homepage/templates/homepage/service_confirm_delete.html
{% extends 'homepage/base.html' %} {% block content %}
<!-- Translations -->
{% load i18n %}

<form class="form-horizontal mx-2 my-2" action="" method="post">{% csrf_token %}
  <p>{% trans "Confirm deletion of service" %}: "{{ object }}"?</p>
  <button class="btn btn-danger" type="submit">{% trans "Accept" %}</button>
</form>
{% endblock %}